Subject: Re: bug#77233: 31.0.50; crash if message starts with a space and then without it

From: Gerd Möllmann <[email-masked]>
Date: Thu, 27 Mar 2025 06:14:23 +0100

Daniel Clemente <[email-masked]> writes:

> On first thought it seems safer to avoid printing at (cols-1, rows-1)
> when we know that AutoWrap is enabled…

I agree. That auto-wrap code is there since the very beginning, added to
Emacs 1985, derived from public domain code which is even older of
course (VT100 is from the mid 70s). Of course it would be nice if the
code could be "modernized", but who's gone do that, realistically?

Anyway. Since nobody complained about my patch while I was away, I've
pushed something like that now. Could you please give it a try, Daniel?